Loading...
Searching...
No Matches
embeddable.h File Reference
`#include <BALL/common.h>`
`#include <BALL/DATATYPE/stringHashMap.h>`
`#include <BALL/DATATYPE/hashMap.h>`
`#include <typeinfo>`

Go to the source code of this file.

## Classes

class | BALL::Embeddable

## Namespaces

namespace | BALL

## Macros

#define | BALL_EMBEDDABLE(TYPE, BASE)

## Macro Definition Documentation

## BALL_EMBEDDABLE

#define BALL_EMBEDDABLE | ( |  | TYPE,
|  |  | BASE )

Embeddable macro. This macro defines all methods required for clases derived from Embeddable. It should be included in the class definition of each of these classes, even for classes further down in the inheritance. The argument ist just the class type, e.g. BALL::ModularWidget.

Definition at line 31 of file embeddable.h.